# Messaging_PolicyValueC.cpp File Reference

`#include "Messaging_PolicyValueC.h"`
`#include "tao/CDR.h"`
`#include "tao/ORB_Core.h"`

Include dependency graph for Messaging_PolicyValueC.cpp:

## Namespaces

namespace | TAO

## Defines

#define | _MESSAGING_POLICYVALUESEQ_CS_

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Messaging::PolicyValue &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Messaging::PolicyValue &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Messaging::PolicyValueSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Messaging::PolicyValueSeq &_tao_sequence)

## Define Documentation

#define _MESSAGING_POLICYVALUESEQ_CS_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValueSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValue & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValueSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValue & | _tao_aggregate
| ) |